package com.zcloud.mapper.datasource.specheck;

import com.zcloud.entity.PageData;

import java.util.ArrayList;
import java.util.List;

public interface SpeCheckSourceMapper {
    void saveByBatch(ArrayList<PageData> waitSaveSource);
    List<PageData> getDangerSourceList(PageData pageData);

    void updateBySpeSourceId(PageData checkRecord);

    Integer checkCanReport(PageData pd);
}
